CON

  _clkmode      = xtal1 + pll8x
  _xinfreq      = 10_000_000

  OVL_PIN       = 11
  DUTY_PIN      = 12
  FILT_PIN      = 17
  SYNC_PIN      = 20

OBJ

  lin   : "tsl1401-DB_driver"

VAR

  long  stack[30]
  
PUB start

  lin.start
  cognew(monitor, @stack)
  lin.setexp_us(1000)
  repeat
    lin.snap
    lin.getpix(@pixels)

PUB monitor | i

  dira := 1 << DUTY_PIN | 1 << FILT_PIN | 1 << SYNC_PIN | 1 << OVL_PIN 
  ctra := %00110 << 26 | DUTY_PIN
  outa[SYNC_PIN]~
  repeat
    outa[SYNC_PIN]~
    'waitcnt(cnt + clkfreq / 10000)
    outa[SYNC_PIN]~~
    repeat i from 0 to 127
      frqa := pixels[i] << 24    

DAT

pixels        byte  0[128]